diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/model/uan-mac-aloha.h ns-3.44/src/uan/model/uan-mac-aloha.h
--- ns-3.43/src/uan/model/uan-mac-aloha.h	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/model/uan-mac-aloha.h	2025-03-09 16:55:49.731372400 -0700
@@ -20,7 +20,7 @@
 class UanTxMode;
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * ALOHA MAC Protocol, the simplest MAC protocol for wireless networks.
  *
@@ -37,7 +37,7 @@
     ~UanMacAloha() override;
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
@@ -59,17 +59,17 @@
     /**
      * Receive packet from lower layer (passed to PHY as callback).
      *
-     * \param pkt Packet being received.
-     * \param sinr SINR of received packet.
-     * \param txMode Mode of received packet.
+     * @param pkt Packet being received.
+     * @param sinr SINR of received packet.
+     * @param txMode Mode of received packet.
      */
     void RxPacketGood(Ptr<Packet> pkt, double sinr, UanTxMode txMode);
 
     /**
      * Packet received at lower layer in error.
      *
-     * \param pkt Packet received in error.
-     * \param sinr SINR of received packet.
+     * @param pkt Packet received in error.
+     * @param sinr SINR of received packet.
      */
     void RxPacketError(Ptr<Packet> pkt, double sinr);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/model/uan-mac-cw.h ns-3.44/src/uan/model/uan-mac-cw.h
--- ns-3.43/src/uan/model/uan-mac-cw.h	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/model/uan-mac-cw.h	2025-03-09 16:55:49.731372400 -0700
@@ -22,7 +22,7 @@
 {
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * CW-MAC protocol, similar in idea to the 802.11 DCF with
  * constant backoff window
@@ -42,32 +42,32 @@
     ~UanMacCw() override;
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
     /**
      * Set the contention window size.
      *
-     * \param cw Contention window size.
+     * @param cw Contention window size.
      */
     virtual void SetCw(uint32_t cw);
     /**
      * Set the slot time duration.
      *
-     * \param duration Slot time duration.
+     * @param duration Slot time duration.
      */
     virtual void SetSlotTime(Time duration);
     /**
      * Get the contention window size.
      *
-     * \return Contention window size.
+     * @return Contention window size.
      */
     virtual uint32_t GetCw();
     /**
      * Get the slot time duration.
      *
-     * \return Slot time duration.
+     * @return Slot time duration.
      */
     virtual Time GetSlotTime();
 
@@ -90,8 +90,8 @@
     /**
      *  TracedCallback signature for enqueue/dequeue of a packet.
      *
-     * \param [in] packet The Packet being received.
-     * \param [in] proto The protocol number.
+     * @param [in] packet The Packet being received.
+     * @param [in] proto The protocol number.
      */
     typedef void (*QueueTracedCallback)(Ptr<const Packet> packet, uint16_t proto);
 
@@ -145,16 +145,16 @@
     /**
      * Receive packet from lower layer (passed to PHY as callback).
      *
-     * \param packet Packet being received.
-     * \param sinr SINR of received packet.
-     * \param mode Mode of received packet.
+     * @param packet Packet being received.
+     * @param sinr SINR of received packet.
+     * @param mode Mode of received packet.
      */
     void PhyRxPacketGood(Ptr<Packet> packet, double sinr, UanTxMode mode);
     /**
      * Packet received at lower layer in error.
      *
-     * \param packet Packet received in error.
-     * \param sinr SINR of received packet.
+     * @param packet Packet received in error.
+     * @param sinr SINR of received packet.
      */
     void PhyRxPacketError(Ptr<Packet> packet, double sinr);
     /** Cancel SendEvent and save remaining delay. */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/model/uan-mac.h ns-3.44/src/uan/model/uan-mac.h
--- ns-3.43/src/uan/model/uan-mac.h	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/model/uan-mac.h	2025-03-09 16:55:49.731372400 -0700
@@ -27,7 +27,7 @@
 class Mac8Address;
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Virtual base class for all UAN MAC protocols.
  */
@@ -38,37 +38,37 @@
     UanMac();
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
     /**
      * Get the MAC Address.
      *
-     * \return MAC Address.
+     * @return MAC Address.
      */
     virtual Address GetAddress();
 
     /**
      * Set the address.
      *
-     * \param addr Mac8Address for this MAC.
+     * @param addr Mac8Address for this MAC.
      */
     virtual void SetAddress(Mac8Address addr);
 
     /**
      * Enqueue packet to be transmitted.
      *
-     * \param pkt Packet to be transmitted.
-     * \param dest Destination address.
-     * \param protocolNumber The type of the packet.
-     * \return True if packet was successfully enqueued.
+     * @param pkt Packet to be transmitted.
+     * @param dest Destination address.
+     * @param protocolNumber The type of the packet.
+     * @return True if packet was successfully enqueued.
      */
     virtual bool Enqueue(Ptr<Packet> pkt, uint16_t protocolNumber, const Address& dest) = 0;
     /**
      * Set the callback to forward packets up to higher layers.
      *
-     * \param cb The callback.
+     * @param cb The callback.
      * \pname{packet} The packet.
      * \pname{address} The source address.
      */
@@ -80,14 +80,14 @@
      * Some MACs may be designed to work with multiple PHY
      * layers.  Others may only work with one.
      *
-     * \param phy Phy layer to attach to this MAC.
+     * @param phy Phy layer to attach to this MAC.
      */
     virtual void AttachPhy(Ptr<UanPhy> phy) = 0;
 
     /**
      * Get the broadcast address.
      *
-     * \return The broadcast address.
+     * @return The broadcast address.
      */
     virtual Address GetBroadcast() const;
 
@@ -99,28 +99,28 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream First stream index to use.
-     * \return The number of stream indices assigned by this model.
+     * @param stream First stream index to use.
+     * @return The number of stream indices assigned by this model.
      */
     virtual int64_t AssignStreams(int64_t stream) = 0;
 
     /**
      *  TracedCallback signature for packet reception/enqueue/dequeue events.
      *
-     * \param [in] packet The Packet.
-     * \param [in] mode The UanTxMode.
+     * @param [in] packet The Packet.
+     * @param [in] mode The UanTxMode.
      */
     typedef void (*PacketModeTracedCallback)(Ptr<const Packet> packet, UanTxMode mode);
 
     /**
      * Get the Tx mode index (Modulation type).
-     * \return the Tx mode index
+     * @return the Tx mode index
      */
     uint32_t GetTxModeIndex() const;
 
     /**
      * Set the Tx mode index (Modulation type).
-     * \param txModeIndex the Tx mode index
+     * @param txModeIndex the Tx mode index
      */
     void SetTxModeIndex(uint32_t txModeIndex);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/model/uan-mac-rc.cc ns-3.44/src/uan/model/uan-mac-rc.cc
--- ns-3.43/src/uan/model/uan-mac-rc.cc	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/model/uan-mac-rc.cc	2025-03-09 16:55:49.731372400 -0700
@@ -350,7 +350,7 @@
 
         Time winDelay = ctsg.GetWindowTime();
 
-        if (winDelay > Time(0))
+        if (winDelay.IsStrictlyPositive())
         {
             m_rtsBlocked = false;
             Simulator::Schedule(winDelay, &UanMacRc::BlockRtsing, this);
@@ -439,7 +439,7 @@
 
     Time startDelay = txTime - Simulator::Now();
 
-    Time frameDelay = Seconds(0);
+    Time frameDelay;
 
     const std::list<std::pair<Ptr<Packet>, Mac8Address>> l = it->GetPktList();
     auto pit = l.begin();
@@ -460,7 +460,7 @@
 
         pkt->AddHeader(ch);
         Time eventTime = startDelay + frameDelay;
-        if (eventTime < Time(0))
+        if (eventTime.IsStrictlyNegative())
         {
             NS_FATAL_ERROR(
                 "Scheduling error resulted in very negative data transmission time! eventTime = "
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/model/uan-mac-rc-gw.cc ns-3.44/src/uan/model/uan-mac-rc-gw.cc
--- ns-3.43/src/uan/model/uan-mac-rc-gw.cc	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/model/uan-mac-rc-gw.cc	2025-03-09 16:55:49.731372400 -0700
@@ -295,7 +295,7 @@
     // Calculate dataRate
     uint32_t totalBytes = 0;
     uint32_t totalFrames = 0;
-    Time pDelay = Seconds(0);
+    Time pDelay;
     if (numRts > 0)
     {
         auto rit = m_requests.begin();
@@ -472,7 +472,7 @@
 {
     NS_LOG_DEBUG(Now().As(Time::S) << " GW Ending cycle");
 
-    Time nextAck = Seconds(0);
+    Time nextAck;
 
     Time ackTime = Seconds(m_ackSize * 8.0 / m_phy->GetMode(m_currentRateNum).GetDataRateBps());
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/model/uan-mac-rc-gw.h ns-3.44/src/uan/model/uan-mac-rc-gw.h
--- ns-3.43/src/uan/model/uan-mac-rc-gw.h	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/model/uan-mac-rc-gw.h	2025-03-09 16:55:49.731372400 -0700
@@ -24,7 +24,7 @@
 class UanTxMode;
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Gateway side of RC-MAC.
  *
@@ -48,7 +48,7 @@
 
     /**
      * Register this type.
-     * \return The type ID.
+     * @return The type ID.
      */
     static TypeId GetTypeId();
 
@@ -62,14 +62,14 @@
     /**
      * TracedCallback signature for
      *
-     * \param [in] now, The current simulation time.
-     * \param [in] delay Minimum path delay of first RTS.
-     * \param [in] numRts Number of pending RTS.
-     * \param [in] totalBytes Length of RTS header.
-     * \param [in] secs Effective window size for RcCtsGlobal message, or
+     * @param [in] now, The current simulation time.
+     * @param [in] delay Minimum path delay of first RTS.
+     * @param [in] numRts Number of pending RTS.
+     * @param [in] totalBytes Length of RTS header.
+     * @param [in] secs Effective window size for RcCtsGlobal message, or
      *             time to next cycle, both in seconds.
-     * \param [in] ctlRate CTL rate in Bps.
-     * \param [in] actualX Current retry rate.
+     * @param [in] ctlRate CTL rate in Bps.
+     * @param [in] actualX Current retry rate.
      */
     typedef void (*CycleCallback)(Time now,
                                   Time delay,
@@ -91,7 +91,7 @@
     State m_state; //!< Gateway processing state.
 
     /**
-     * \ingroup uan
+     * @ingroup uan
      * Reservation request.
      */
     struct Request
@@ -104,7 +104,7 @@
     };
 
     /**
-     * \ingroup uan
+     * @ingroup uan
      * Packet ACK data.
      */
     struct AckData
@@ -171,9 +171,9 @@
     /**
      * PHY receive ok callback.
      *
-     * \param pkt The Packet to receive
-     * \param sinr The SINR on the channel
-     * \param mode The transmission mode
+     * @param pkt The Packet to receive
+     * @param sinr The SINR on the channel
+     * @param mode The transmission mode
      */
     void ReceivePacket(Ptr<Packet> pkt, double sinr, UanTxMode mode);
 
@@ -184,8 +184,8 @@
     /**
      * Send packet on PHY.
      *
-     * \param pkt The Packet.
-     * \param rate The UanTxMode number, m_currentRateNum.
+     * @param pkt The Packet.
+     * @param rate The UanTxMode number, m_currentRateNum.
      */
     void SendPacket(Ptr<Packet> pkt, uint32_t rate);
     /** Set state to INCYCLE. */
@@ -193,8 +193,8 @@
     /**
      * PHY receive error callback.
      *
-     * \param pkt The failed packet.
-     * \param sinr The SINR value on the channel.
+     * @param pkt The failed packet.
+     * @param sinr The SINR value on the channel.
      */
     void ReceiveError(Ptr<Packet> pkt, double sinr);
 
@@ -202,12 +202,12 @@
     /**
      * Compute alpha parameter.
      *
-     * \param totalFrames Total number of frames in m_requests.
-     * \param totalBytes Total number of bytes in m_requests.
-     * \param n Number of nodes.
-     * \param a m_maxRes, or optimal A value.
-     * \param deltaK Propagation delay.
-     * \return Alpha parameter.
+     * @param totalFrames Total number of frames in m_requests.
+     * @param totalBytes Total number of bytes in m_requests.
+     * @param n Number of nodes.
+     * @param a m_maxRes, or optimal A value.
+     * @param deltaK Propagation delay.
+     * @return Alpha parameter.
      */
     double ComputeAlpha(uint32_t totalFrames,
                         uint32_t totalBytes,
@@ -217,66 +217,66 @@
     /**
      * Get the expected propagation delay to each node.
      *
-     * \return Vector of expected propagation delays.
+     * @return Vector of expected propagation delays.
      */
     std::vector<double> GetExpPdk();
     /**
      * Throughput for \pname{a} reservations with framesize \pname{ld},
      * given expected delays exppdk.
      *
-     * \param a Number of reservations.
-     * \param ld Frame size.
-     * \param exppdk Expected delays, given by GetExpPdk.
-     * \return Expected throughput.
+     * @param a Number of reservations.
+     * @param ld Frame size.
+     * @param exppdk Expected delays, given by GetExpPdk.
+     * @return Expected throughput.
      */
     double ComputeExpS(uint32_t a, uint32_t ld, std::vector<double> exppdk);
     /**
      * Throughput for \pname{a} reservations with framesize \pname{ld}.
      *
-     * \param a Number of reservations.
-     * \param ld Frame size.
-     * \return Expected throughput.
+     * @param a Number of reservations.
+     * @param ld Frame size.
+     * @return Expected throughput.
      */
     double ComputeExpS(uint32_t a, uint32_t ld);
     /**
      * Index to the k'th expected delay among n nodes.
      *
-     * \param n Number of nodes.
-     * \param k Target index.
-     * \return The expected index.
+     * @param n Number of nodes.
+     * @param k Target index.
+     * @return The expected index.
      */
     uint32_t CompExpMinIndex(uint32_t n, uint32_t k);
     /**
      * Numeric function.
      *
-     * \param a Number of reservations.
-     * \param n number of nodes.
-     * \param k K'th node.
-     * \return Value.
+     * @param a Number of reservations.
+     * @param n number of nodes.
+     * @param k K'th node.
+     * @return Value.
      */
     double ComputePiK(uint32_t a, uint32_t n, uint32_t k);
     /**
      * Numeric function.
      *
-     * \param n Number of nodes.
-     * \param a Number of reservations.
-     * \param ldlh Sum of common header length and frame size.
-     * \param deltaK Result of GetExpPdk
-     * \return value.
+     * @param n Number of nodes.
+     * @param a Number of reservations.
+     * @param ldlh Sum of common header length and frame size.
+     * @param deltaK Result of GetExpPdk
+     * @return value.
      */
     double ComputeExpBOverA(uint32_t n, uint32_t a, uint32_t ldlh, std::vector<double> deltaK);
     /**
      * Binomial coefficient.
      *
-     * \param n Pool size.
-     * \param k Selection size.
-     * \return Binomial coefficient n choose k.
+     * @param n Pool size.
+     * @param k Selection size.
+     * @return Binomial coefficient n choose k.
      */
     uint64_t NchooseK(uint32_t n, uint32_t k);
     /**
      * Compute the optimum maximum number of reservations to accept per cycle.
      *
-     * \return Optimum number.
+     * @return Optimum number.
      */
     uint32_t FindOptA();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/model/uan-mac-rc.h ns-3.44/src/uan/model/uan-mac-rc.h
--- ns-3.43/src/uan/model/uan-mac-rc.h	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/model/uan-mac-rc.h	2025-03-09 16:55:49.731372400 -0700
@@ -45,9 +45,9 @@
      * Create Reservation object with given packet list,
      * frame number and max packets.
      *
-     * \param list List of packets for assigned to reservation.
-     * \param frameNo Frame number of reservation transmission.
-     * \param maxPkts Maximum number of packets to assign to reservation
+     * @param list List of packets for assigned to reservation.
+     * @param frameNo Frame number of reservation transmission.
+     * @param maxPkts Maximum number of packets to assign to reservation
      *   from packet list (0 = no maximum).
      */
     Reservation(std::list<std::pair<Ptr<Packet>, Mac8Address>>& list,
@@ -58,7 +58,7 @@
     /**
      * Get the number of frames in this Reservation.
      *
-     * \return Number of frames.
+     * @return Number of frames.
      */
     uint32_t GetNoFrames() const;
     /**
@@ -66,47 +66,47 @@
      *
      * This is the sum of packets with headers.
      *
-     * \return Total length, in bytes.
+     * @return Total length, in bytes.
      */
     uint32_t GetLength() const;
     /**
      * Get the list of packets.
      *
-     * \return The list of packets.
+     * @return The list of packets.
      */
     const std::list<std::pair<Ptr<Packet>, Mac8Address>>& GetPktList() const;
     /**
      * Get the frame number.
      *
-     * \return The frame number.
+     * @return The frame number.
      */
     uint8_t GetFrameNo() const;
     /**
      * Get the retry number.
      *
-     * \return The retry number.
+     * @return The retry number.
      */
     uint8_t GetRetryNo() const;
     /**
      * Get the timestamp for the n'th RTS.
      *
-     * \param n Which retry number.
-     * \return N'th timestamp.
+     * @param n Which retry number.
+     * @return N'th timestamp.
      */
     Time GetTimestamp(uint8_t n) const;
 
-    /** \return True if reservation packets have been transmitted. */
+    /** @return True if reservation packets have been transmitted. */
     bool IsTransmitted() const;
     /**
      * Set the frame number.
      *
-     * \param fn The frame number.
+     * @param fn The frame number.
      */
     void SetFrameNo(uint8_t fn);
     /**
      * Set the time of the latest RTS sent.
      *
-     * \param t RTS timestamp.
+     * @param t RTS timestamp.
      */
     void AddTimestamp(Time t);
     /** Increment the retry count. */
@@ -114,7 +114,7 @@
     /**
      * Set the reservation transmitted state.
      *
-     * \param t True if reservation has been transmitted.
+     * @param t True if reservation has been transmitted.
      */
     void SetTransmitted(bool t = true);
 
@@ -135,7 +135,7 @@
 }; // class Reservation
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Non-gateway node MAC for reservation channel MAC protocol.
  *
@@ -168,7 +168,7 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
@@ -182,8 +182,8 @@
     /**
      *  TracedCallback signature for dequeue of a packet.
      *
-     * \param [in] packet The Packet being received.
-     * \param [in] proto The protocol number.
+     * @param [in] packet The Packet being received.
+     * @param [in] proto The protocol number.
      */
     typedef void (*QueueTracedCallback)(Ptr<const Packet> packet, uint32_t proto);
 
@@ -241,9 +241,9 @@
     /**
      * PHY receive ok Callback.
      *
-     * \param pkt The received packet.
-     * \param sinr (Unused).
-     * \param mode Modulation mode.
+     * @param pkt The received packet.
+     * @param sinr (Unused).
+     * @param mode Modulation mode.
      */
     void ReceiveOkFromPhy(Ptr<Packet> pkt, double sinr, UanTxMode mode);
     /** Associate with a gateway by sending the first GWPING. */
@@ -257,16 +257,16 @@
     /**
      * Create the RTS header from a Reservation.
      *
-     * \param res The Reservation.
-     * \return A RTS header.
+     * @param res The Reservation.
+     * @return A RTS header.
      */
     UanHeaderRcRts CreateRtsHeader(const Reservation& res);
     /**
      * Schedule Packet sends.
      *
-     * \param ctsh The CTS header identifying the frame number and delay.
-     * \param ctsg The CTS global header giving the transmit time stamp base.
-     * \param ctsBytes Number of bytes total in CTS packet.
+     * @param ctsh The CTS header identifying the frame number and delay.
+     * @param ctsg The CTS global header giving the transmit time stamp base.
+     * @param ctsBytes Number of bytes total in CTS packet.
      */
     void ScheduleData(const UanHeaderRcCts& ctsh,
                       const UanHeaderRcCtsGlobal& ctsg,
@@ -274,21 +274,21 @@
     /**
      * Process a received ACK.
      *
-     * \param ack The ACK packet.
+     * @param ack The ACK packet.
      */
     void ProcessAck(Ptr<Packet> ack);
     /**
      * Send on packet on the PHY.
      *
-     * \param pkt The packet.
-     * \param rate The transmission rate.
+     * @param pkt The packet.
+     * @param rate The transmission rate.
      */
     void SendPacket(Ptr<Packet> pkt, uint32_t rate);
     /**
      * Check that PHY is ok:
      *   not CTS or ACK
      *   not to my address
-     * \return True if PHY is ok.
+     * @return True if PHY is ok.
      */
     bool IsPhy1Ok();
     /** Callback to block RST. */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/model/uan-net-device.cc ns-3.44/src/uan/model/uan-net-device.cc
--- ns-3.43/src/uan/model/uan-net-device.cc	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/model/uan-net-device.cc	2025-03-09 16:55:49.731372400 -0700
@@ -233,7 +233,7 @@
 bool
 UanNetDevice::SetMtu(uint16_t mtu)
 {
-    /// \todo  Check this in MAC
+    /// @todo  Check this in MAC
     NS_LOG_WARN("UanNetDevice:  MTU is not implemented");
     m_mtu = mtu;
     return true;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/model/uan-net-device.h ns-3.44/src/uan/model/uan-net-device.h
--- ns-3.43/src/uan/model/uan-net-device.h	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/model/uan-net-device.h	2025-03-09 16:55:49.731372400 -0700
@@ -25,13 +25,13 @@
 class UanTransducer;
 
 /**
- * \defgroup uan UAN Models
+ * @defgroup uan UAN Models
  * This section documents the API of the ns-3 UAN module. For a generic functional description,
  * please refer to the ns-3 manual.
  */
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Net device for UAN models.
  */
@@ -45,7 +45,7 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
@@ -57,48 +57,48 @@
     /**
      * Set the MAC layer for this device.
      *
-     * \param mac The MAC layer.
+     * @param mac The MAC layer.
      */
     void SetMac(Ptr<UanMac> mac);
 
     /**
      * Set the Phy layer for this device.
      *
-     * \param phy The PHY layer.
+     * @param phy The PHY layer.
      */
     void SetPhy(Ptr<UanPhy> phy);
 
     /**
      * Attach a channel.
      *
-     * \param channel The channel.
+     * @param channel The channel.
      */
     void SetChannel(Ptr<UanChannel> channel);
 
     /**
      * Get the MAC used by this device.
      *
-     * \return The MAC.
+     * @return The MAC.
      */
     Ptr<UanMac> GetMac() const;
 
     /**
      * Get the Phy used by this device.
      *
-     * \return The Phy.
+     * @return The Phy.
      */
     Ptr<UanPhy> GetPhy() const;
 
     /**
      * Get the transducer associated with this device.
      *
-     * \return The transducer.
+     * @return The transducer.
      */
     Ptr<UanTransducer> GetTransducer() const;
     /**
      * Set the transdcuer used by this device.
      *
-     * \param trans The transducer.
+     * @param trans The transducer.
      */
     void SetTransducer(Ptr<UanTransducer> trans);
 
@@ -108,7 +108,7 @@
     /**
      * Set the Phy SLEEP mode.
      *
-     * \param sleep SLEEP on or off.
+     * @param sleep SLEEP on or off.
      */
     void SetSleepMode(bool sleep);
 
@@ -143,21 +143,21 @@
 
     /**
      * Get the Tx mode index (Modulation type).
-     * \return the Tx mode index
+     * @return the Tx mode index
      */
     uint32_t GetTxModeIndex();
 
     /**
      * Set the Tx mode index (Modulation type).
-     * \param txModeIndex the Tx mode index
+     * @param txModeIndex the Tx mode index
      */
     void SetTxModeIndex(uint32_t txModeIndex);
 
     /**
      * TracedCallback signature for MAC send/receive events.
      *
-     * \param [in] packet The Packet.
-     * \param [in] address The source address.
+     * @param [in] packet The Packet.
+     * @param [in] address The source address.
      */
     typedef void (*RxTxTracedCallback)(Ptr<const Packet> packet, Mac8Address address);
 
@@ -165,13 +165,13 @@
     /**
      * Forward the packet to a higher level, set with SetReceiveCallback.
      *
-     * \param pkt The packet.
-     * \param src The source address.
-     * \param protocolNumber The layer 3 protocol number.
+     * @param pkt The packet.
+     * @param src The source address.
+     * @param protocolNumber The layer 3 protocol number.
      */
     virtual void ForwardUp(Ptr<Packet> pkt, uint16_t protocolNumber, const Mac8Address& src);
 
-    /** \return The channel attached to this device. */
+    /** @return The channel attached to this device. */
     Ptr<UanChannel> DoGetChannel() const;
 
     Ptr<UanTransducer> m_trans; //!< The Transducer attached to this device.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/model/uan-noise-model-default.h ns-3.44/src/uan/model/uan-noise-model-default.h
--- ns-3.43/src/uan/model/uan-noise-model-default.h	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/model/uan-noise-model-default.h	2025-03-09 16:55:49.731372400 -0700
@@ -18,7 +18,7 @@
 {
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Standard ambient acoustic noise model.
  *
@@ -43,7 +43,7 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/model/uan-noise-model.h ns-3.44/src/uan/model/uan-noise-model.h
--- ns-3.43/src/uan/model/uan-noise-model.h	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/model/uan-noise-model.h	2025-03-09 16:55:49.731372400 -0700
@@ -15,7 +15,7 @@
 {
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * UAN Noise Model base class.
  */
@@ -24,15 +24,15 @@
   public:
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
     /**
      * Compute the noise power at a given frequency.
      *
-     * \param fKhz Frequency in kHz.
-     * \return Noise power in dB re 1uPa/Hz.
+     * @param fKhz Frequency in kHz.
+     * @return Noise power in dB re 1uPa/Hz.
      */
     virtual double GetNoiseDbHz(double fKhz) const = 0;
 
